petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMStagSetUniformCoordinatesProduct

create uniform coordinates, as a product of 1D arrays

### Synopsis

    PetscErrorCode DMStagSetUniformCoordinatesProduct(DM dm,PetscReal xmin,PetscReal xmax,PetscReal ymin,PetscReal ymax,PetscReal zmin,PetscReal zmax)

Set the coordinate DM to be a DMProduct of 1D DMStag objects, each of which have a coordinate DM (also a 1d DMStag) holding uniform coordinates.

Collective

### Input Parameters

| dm | - the DMStag object
| xmin,xmax,ymin,ymax,zmin,zmax | - maximum and minimum global coordinate values

### Notes

Arguments corresponding to higher dimensions are ignored for 1D and 2D grids.

### See Also

DMSTAG, DMPRODUCT, DMStagSetUniformCoordinates(), DMStagSetUniformCoordinatesExplicit(), DMStagSetCoordinateDMType()

### Level

intermediate

### Location

src/dm/impls/stag/stagutils.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages